com.aliyun.svideosdk.common.struct.project

## Class WaterMark

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack
    - - com.aliyun.svideosdk.common.struct.project.WaterMark

- Direct Known Subclasses:
    TailWaterMark

      public class WaterMark
      extends GlobalTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `GlobalTrack.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaterMark()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ActionBase>` | `getActions()` Gets the action animation list
    `float` | `getHeight()` Gets the height of this watermark relative to the screen resolution.
    `Source` | `getSource()` Gets the watermark resource
    `float` | `getWidth()` Gets the width of this watermark relative to the screen resolution.
    `float` | `getX()` Sets the x coordinate of the centroid of this watermark relative to the screen resolution.
    `float` | `getY()` Sets the y coordinate of the centroid of this watermark relative to the screen resolution.
    `void` | `setHeight(float height)` Sets the height of this watermark relative to the screen resolution.
    `void` | `setSource(Source source)` Sets the watermark resource
    `void` | `setWidth(float width)` Sets the width of this watermark relative to the screen resolution.
    `void` | `setX(float x)` Gets the x coordinate of the centroid of this watermark relative to the screen resolution.
    `void` | `setY(float y)` Gets the y coordinate of the centroid of this watermark relative to the screen resolution.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaterMark

          public WaterMark()

  - ### Method Detail

    - #### getSource

          public Source getSource()

      Gets the watermark resource
      Returns:
        watermark resource

    - #### setSource

          public void setSource(Source source)

      Sets the watermark resource
      Parameters:
        `source` - resource

    - #### getWidth

          public float getWidth()

      Gets the width of this watermark relative to the screen resolution. Valid values: [0, 1]
      Returns:
        width

    - #### setWidth

          public void setWidth(float width)

      Sets the width of this watermark relative to the screen resolution. Valid values: [0, 1]
      Parameters:
        `width` - width

    - #### getHeight

          public float getHeight()

      Gets the height of this watermark relative to the screen resolution. Valid values: [0, 1]
      Returns:
        height

    - #### setHeight

          public void setHeight(float height)

      Sets the height of this watermark relative to the screen resolution. Valid values: [0, 1]
      Parameters:
        `height` - height

    - #### getX

          public float getX()

      Sets the x coordinate of the centroid of this watermark relative to the screen resolution. Valid values: [0, 1]
      Returns:
        x coordinate

    - #### setX

          public void setX(float x)

      Gets the x coordinate of the centroid of this watermark relative to the screen resolution. Valid values: [0, 1]
      Parameters:
        `x` - x coordinate

    - #### getY

          public float getY()

      Sets the y coordinate of the centroid of this watermark relative to the screen resolution. Valid values: [0, 1]
      Returns:
        y coordinate

    - #### setY

          public void setY(float y)

      Gets the y coordinate of the centroid of this watermark relative to the screen resolution. Valid values: [0, 1]
      Parameters:
        `y` - y coordinate

    - #### getActions

          public java.util.ArrayList<ActionBase> getActions()

      Gets the action animation list
      Returns:
        animation list